petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCASMCreateSubdomains2D

Creates the index sets for the overlapping Schwarz preconditioner for a two-dimensional problem on a regular grid.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMCreateSubdomains2D(PetscInt m,PetscInt n,PetscInt M,PetscInt N,PetscInt dof,PetscInt overlap,PetscInt *Nsub,IS **is,IS **is_local)

Not Collective

### Input Parameters

| m, n | - the number of mesh points in the x and y directions
| M, N | - the number of subdomains in the x and y directions
| dof | - degrees of freedom per node
| overlap | - overlap in mesh lines

### Output Parameters

| Nsub | - the number of subdomains created
| is | - array of index sets defining overlapping (if overlap > 0) subdomains
| is_local | - array of index sets defining non-overlapping subdomains

### Note

Presently PCAMSCreateSubdomains2d() is valid only for sequential preconditioners. More general related routines are PCASMSetTotalSubdomains() and PCASMSetLocalSubdomains().

### Keywords

PC, ASM, additive Schwarz, create, subdomains, 2D, regular grid

### See Also

PCASMSetTotalSubdomains(), PCASMSetLocalSubdomains(), PCASMGetSubKSP(),
PCASMSetOverlap()

### Level

advanced

### Location

src/ksp/pc/impls/asm/asm.c

### Examples

src/ksp/ksp/examples/tutorials/ex8.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages